# Uses of Class
java.net.ProxySelector

Packages that use ProxySelector
Package
Description
java.net
Provides the classes for implementing networking applications.
java.net.http
HTTP Client and WebSocket APIs

## Uses of ProxySelector in java.net

Methods in java.net that return ProxySelector
Modifier and Type
Method
Description
`static ProxySelector`
ProxySelector.`getDefault()`
Gets the system-wide proxy selector.
`static ProxySelector`
ProxySelector.`of(InetSocketAddress proxyAddress)`
Returns a ProxySelector which uses the given proxy address for all HTTP and HTTPS requests.
Methods in java.net with parameters of type ProxySelector
Modifier and Type
Method
Description
`static void`
ProxySelector.`setDefault(ProxySelector ps)`
Sets (or unsets) the system-wide proxy selector.

## Uses of ProxySelector in java.net.http

Fields in java.net.http declared as ProxySelector
Modifier and Type
Field
Description
`static final ProxySelector`
HttpClient.Builder.`NO_PROXY`
A proxy selector that always return `Proxy.NO_PROXY` implying a direct connection.
Methods in java.net.http that return types with arguments of type ProxySelector
Modifier and Type
Method
Description
`abstract Optional<ProxySelector>`
HttpClient.`proxy()`
Returns an `Optional` containing the `ProxySelector` supplied to this client.
Methods in java.net.http with parameters of type ProxySelector
Modifier and Type
Method
Description
`HttpClient.Builder`
HttpClient.Builder.`proxy(ProxySelector proxySelector)`
Sets a `ProxySelector`.